# DTOGetter Class Reference

Inheritance diagram for DTOGetter:
[legend]

List of all members.

## Public Member Functions

| __construct (EntityProto $proto, $object)
| setSoapDto ($soapDto)
| getSoapDto ()
| get ($name)

## Private Attributes

| $soapDto = true

## Detailed Description

Definition at line 12 of file DTOGetter.class.php.

## Constructor & Destructor Documentation

DTOGetter::__construct | ( | EntityProto $ | proto,
|  | $ | object |
| ) |  |  |

Definition at line 16 of file DTOGetter.class.php.

References PrototypedMethodCaller::$object, and Assert::isInstance().

Here is the call graph for this function:

## Member Function Documentation

DTOGetter::get | ( | $ | name | ) |

Reimplemented from PrototypedGetter.

Definition at line 39 of file DTOGetter.class.php.

DTOGetter::getSoapDto | ( |  | ) |

Definition at line 34 of file DTOGetter.class.php.

DTOGetter::setSoapDto | ( | $ | soapDto | ) |

Returns:
  DTOGetter

Definition at line 26 of file DTOGetter.class.php.

References $soapDto.

## Member Data Documentation

DTOGetter::$soapDto = true`[private]`

Definition at line 14 of file DTOGetter.class.php.

Referenced by setSoapDto().

The documentation for this class was generated from the following file:

- main/EntityProto/Accessors/DTOGetter.class.php